Bug 502401 - yum picks older arch pkg instead of newer noarch one
yum picks older arch pkg instead of newer noarch one
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-05-24 16:49 EDT by Rex Dieter
Modified: 2014-01-21 18:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 18:20:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-05-24 16:49:15 EDT
yum-3.2.22-5.fc11.noarch

we recently made the largish qt-doc pkg noarch (currently in updates-testing).

yum install qt-doc
chooses the older arch'd one.

Here's snippet from
yum -d10 install qt-doc
...
Setting up Install Process
Running compare_providers() for [<YumAvailablePackageSqlite : 1:qt-doc-4.5.0-14.fc11.x86_64 (0x2165290)>, <YumAvailablePackageSqlite : 1:qt-doc-4.5.1-11.fc11.noarch (0x2165350)>]
archdist compared 1:qt-doc-4.5.0-14.fc11.x86_64 to 1:qt-doc-4.5.1-11.fc11.noarch on ia32e
  Winner: 1:qt-doc-4.5.0-14.fc11.x86_64
better arch in po 1:qt-doc-4.5.0-14.fc11.x86_64
archdist compared 1:qt-doc-4.5.1-11.fc11.noarch to 1:qt-doc-4.5.0-14.fc11.x86_64 on ia32e
  Winner: 1:qt-doc-4.5.0-14.fc11.x86_64
Best Order: [(<YumAvailablePackageSqlite : 1:qt-doc-4.5.0-14.fc11.x86_64 (0x2165290)>, -1), (<YumAvailablePackageSqlite : 1:qt-doc-4.5.1-11.fc11.noarch (0x2165350)>, -6)]
...
Comment 1 seth vidal 2009-05-28 15:45:03 EDT
okay, the problem here is that yum is not comparing these two pkgs against each other b/c they are not the same arch but it really needs to be b/c for this situation these are arch-comparable.

Just to be sure - there isn't a qt-doc.i386 installed/existent, too is there?
Comment 2 Rex Dieter 2009-05-28 17:14:28 EDT
no qt-doc.i386 on x86_64 anyway (not multilib'd).
Comment 3 seth vidal 2009-05-29 23:28:27 EDT
an obvious work around for the moment - make the new noarch pkg obsolete the old version of the same.
Comment 4 Rex Dieter 2009-05-30 13:31:37 EDT
ok, I'll try that.
Comment 5 Bug Zapper 2009-06-09 12:29:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Kevin Kofler 2009-06-16 20:12:20 EDT
Let's take this off the Qt451 blocker as we worked around it in our Qt packaging (with the self-Obsoletes hack), but I'm adding it to F12Target as it's impacting the NoarchSubpackages feature.
Comment 8 Fedora Update System 2009-09-03 15:33:51 EDT
yum-3.2.24-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/yum-3.2.24-1.fc11
Comment 9 Fedora Update System 2009-09-29 21:37:38 EDT
yum-3.2.24-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-10-19 12:44:41 EDT
yum-3.2.24-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yum-3.2.24-2.fc10
Comment 11 Fedora Update System 2009-11-04 07:04:56 EST
yum-3.2.24-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.